Search documentation of ash

# View Source Ash.Query.Function.StringSplit (ash v3.4.30)

Split a string into a list of strings

Splits a string on the given delimiter. The delimiter defaults to a single space. Also supports options.

Keep in mind, this function does not support regexes the way that `String.split/3` does, only raw strings.

    string_split(employee_code)
    string_split(full_name, "foo")
    string_split(full_name, "foo", trim?: true)

## Options

- `:trim?` (`boolean/0`) - Whether or not to trim empty strings from the beginning or end of the result. Equivalent to the `trim` option to `String.split/3` The default value is `false`.

# Summary

## Functions

args()

Callback implementation for `Ash.Query.Function.args/0`.

# Functions

Link to this function

# args()

View Source

Callback implementation for `Ash.Query.Function.args/0`.